import 'package:meta/meta.dart';
import '../../field/tanktimesheet/tanktimesheet_field.dart';

class TankTimesheetBean {

  String id;
  String tankId;
  String name;
  DateTime markOn;
  bool active;

  TankTimesheetBean({String id, String tankId, String name, DateTime markOn, bool active});

  TankTimesheetBean.from({@required TankTimesheetField field}) {
    id = field.fId.valueAsString();
    tankId = field.fTankId.valueAsString();
    name = field.fName.valueAsString();
    markOn = field.fMarkOn.valueAsDateTime();
    active = field.fActive.valueAsBool();
  }

  setTo({@required TankTimesheetField field}) {
    field.fId.value = id;
    field.fTankId.value = tankId;
    field.fName.value = name;
    field.fMarkOn.value = markOn;
    field.fActive.value = active;
  }
}